## ros-indigo-naoeus 1.1.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(naoeus)

find_package(catkin REQUIRED nao_description naoqieus roseus rostest)

catkin_package()

###
### nao.l generation
###
compile_naoqi_model(nao naoV50_generated_urdf)
if(nao_meshes_FOUND)
  add_rostest(test/naoeus.test)
endif()

=== debian/changelog ===
ros-indigo-naoeus (1.1.0-1trusty) trusty; urgency=high



 -- Kei Okada <kei.okada@gmail.com>  Sat, 15 Jul 2017 15:00:00 -0000

ros-indigo-naoeus (1.0.9-1trusty) trusty; urgency=high



 -- Kei Okada <kei.okada@gmail.com>  Tue, 08 Nov 2016 15:00:00 -0000

ros-indigo-naoeus (1.0.8-1trusty) trusty; urgency=high



 -- Kei Okada <kei.okada@gmail.com>  Mon, 07 Nov 2016 15:00:00 -0000

ros-indigo-naoeus (1.0.7-1trusty) trusty; urgency=high

  * [jsk_naoqi_robot] add roseus in find_package
  * add controllers
  * Contributors: Kanae Kochigami

 -- Kei Okada <kei.okada@gmail.com>  Tue, 01 Nov 2016 15:00:00 -0000

ros-indigo-naoeus (1.0.6-1trusty) trusty; urgency=high



 -- Kei Okada <kei.okada@gmail.com>  Thu, 16 Jun 2016 15:00:00 -0000

ros-indigo-naoeus (1.0.5-1trusty) trusty; urgency=high

  * move send-stiffness-controller, servo-on, servo-off methods to naoqi-interface
  * Contributors: Kanae Kochigami

 -- Kei Okada <kei.okada@gmail.com>  Sun, 17 Apr 2016 15:00:00 -0000

ros-indigo-naoeus (1.0.4-1trusty) trusty; urgency=high



 -- Kei Okada <kei.okada@gmail.com>  Sun, 20 Mar 2016 15:00:00 -0000

ros-indigo-naoeus (1.0.3-1trusty) trusty; urgency=high

  * add end-coords for nao robot
  * Contributors: Kei Okada

 -- Kei Okada <kei.okada@gmail.com>  Fri, 04 Mar 2016 15:00:00 -0000

ros-indigo-naoeus (1.0.2-1trusty) trusty; urgency=high



 -- Kei Okada <kei.okada@gmail.com>  Sat, 13 Feb 2016 15:00:00 -0000

ros-indigo-naoeus (1.0.1-1trusty) trusty; urgency=high

  * naoeus/nao-interface.l: add nao-robot class and nao function
  * naoeus/CMakeLists.txt: fix typo papper_meshes_FOUND -> nao_meshes_FOUND
  * naoeus,peppereus: package.xml: fix typo in run_depend, naoqi->naoqieus, nap_apps->nao_apps
  * add .gitignore
  * add nao-interface.l
  * naoeus: add nao.yaml
  * naoeus: add test/
  * catkinize naoeus
  * change to naoqi_msgs from nao_msgs
  * delete one of two nao-inits (bug fixed)
  * nao servo-on/off extended to hands and start/stop-grasp added #134 <https://github.com/jsk-ros-pkg/jsk_robot/issues/134>
  * nao-init added to nao-interface.l
  * delete nao-init
  * nao-init added
  * advertising topic added
  * nao speaking function added
  * add README.md for nao #118 <https://github.com/jsk-ros-pkg/jsk_robot/issues/118>
  * fix nao-interface.l
  * add setup file for using alrobotmodel
  * Added nao-test-new.l showing a model with the new meshes.
  * add ik sample in nao-test.l
  * set joint-action-enable nil in simulation
  * change pass for nao-interface.l
  * change the path naoeus/nao-interface.l to naoeus/euslisp/nao-interface.l
  * add patch for nao_description
  * add jsk_nao_robot
  * Contributors: Kei Okada, Ryohei Ueda, Yohei Kakiuchi, Masahiro Bando, Yusuke Furuta, Satoshi Iwaishi, Kanae Kochigami, Yoshimaru Tanaka

 -- Kei Okada <kei.okada@gmail.com>  Wed, 18 Nov 2015 15:00:00 -0000

ros-indigo-naoeus (1.0.0-1trusty) trusty; urgency=high



 -- Kei Okada <kei.okada@gmail.com>  Fri, 06 Nov 2015 06:17:00 -0000

ros-indigo-naoeus (0.0.13-1trusty) trusty; urgency=high



 -- Kei Okada <kei.okada@gmail.com>  Fri, 06 Nov 2015 06:04:00 -0000

ros-indigo-naoeus (0.0.12-1trusty) trusty; urgency=high



 -- Kei Okada <kei.okada@gmail.com>  Fri, 06 Nov 2015 05:47:00 -0000

ros-indigo-naoeus (0.0.11-1trusty) trusty; urgency=high



 -- Kei Okada <kei.okada@gmail.com>  Mon, 31 Aug 2015 15:00:00 -0000

ros-indigo-naoeus (0.0.10-1trusty) trusty; urgency=high



 -- Kei Okada <kei.okada@gmail.com>  Sat, 15 Aug 2015 15:00:00 -0000

ros-indigo-naoeus (0.0.9-1trusty) trusty; urgency=high



 -- Kei Okada <kei.okada@gmail.com>  Sun, 02 Aug 2015 15:00:00 -0000

ros-indigo-naoeus (0.0.8-1trusty) trusty; urgency=high



 -- Kei Okada <kei.okada@gmail.com>  Wed, 15 Jul 2015 15:00:00 -0000

ros-indigo-naoeus (0.0.7-1trusty) trusty; urgency=high



 -- Kei Okada <kei.okada@gmail.com>  Wed, 10 Jun 2015 15:00:00 -0000

ros-indigo-naoeus (0.0.6-1trusty) trusty; urgency=high



 -- Kei Okada <kei.okada@gmail.com>  Thu, 09 Apr 2015 15:00:00 -0000

ros-indigo-naoeus (0.0.5-1trusty) trusty; urgency=high



 -- Kei Okada <kei.okada@gmail.com>  Tue, 07 Apr 2015 15:00:00 -0000

ros-indigo-naoeus (0.0.4-1trusty) trusty; urgency=high



 -- Kei Okada <kei.okada@gmail.com>  Thu, 29 Jan 2015 15:00:00 -0000

ros-indigo-naoeus (0.0.3-1trusty) trusty; urgency=high



 -- Kei Okada <kei.okada@gmail.com>  Thu, 08 Jan 2015 15:00:00 -0000

ros-indigo-naoeus (0.0.2-1trusty) trusty; urgency=high



 -- Kei Okada <kei.okada@gmail.com>  Wed, 07 Jan 2015 15:00:00 -0000

ros-indigo-naoeus (0.0.1-1trusty) trusty; urgency=high



 -- Kei Okada <kei.okada@gmail.com>  Wed, 24 Dec 2014 15:00:00 -0000

=== debian/control ===
Source: ros-indigo-naoeus
Section: misc
Priority: extra
Maintainer: Kei Okada <kei.okada@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin, ros-indigo-nao-apps, ros-indigo-nao-description, ros-indigo-naoqieus, ros-indigo-rostest
Homepage: 
Standards-Version: 3.9.2

Package: ros-indigo-naoeus
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-nao-apps, ros-indigo-nao-description, ros-indigo-naoqieus
Description: The naoeus package

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-naoeus//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
